Debian Bug report logs - #590536
ITP: openpyxl -- module to read/write Excel 2007 xlsx/xlsm files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Yaroslav Halchenko <debian@onerussian.com>

Date: Tue, 27 Jul 2010 04:33:01 UTC

Owned by: Yaroslav Halchenko <debian@onerussian.com>

Severity: wishlist

Fixed in version openpyxl/1.0.1+hg95-1

Done: Yaroslav Halchenko <debian@onerussian.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#590536; Package wnpp. (Tue, 27 Jul 2010 04:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 27 Jul 2010 04:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: openpyxl -- module to read/write Excel 2007 xlsx/xlsm files
Date: Tue, 27 Jul 2010 00:31:17 -0400
Package: wnpp
Severity: wishlist
Owner: Yaroslav Halchenko <debian@onerussian.com>


* Package name    : openpyxl
  Version         : 1.0.1
  Upstream Author : Eric Gazoni <eric.gazoni@gmail.com>
* URL             : http://bitbucket.org/ericgazoni/openpyxl/
* License         : Expat
  Programming Lang: Python
  Description     : module to read/write Excel 2007 xlsx/xlsm files

Openpyxl is a pure Python module to read/write Excel 2007 xlsx/xlsm files
inspired by PHPExcel.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#590536; Package wnpp. (Tue, 27 Jul 2010 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>. (Tue, 27 Jul 2010 08:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 590536@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 590536@bugs.debian.org
Subject: Re: Bug#590536: ITP: openpyxl -- module to read/write Excel 2007 xlsx/xlsm files
Date: Tue, 27 Jul 2010 10:23:38 +0200
[Yaroslav Halchenko, 2010-07-27]
> * Package name    : openpyxl
>   Programming Lang: Python
>   Description     : module to read/write Excel 2007 xlsx/xlsm files

is it better than pyexcelerator (python-excelerator)?




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#590536; Package wnpp. (Tue, 27 Jul 2010 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <yoh@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>. (Tue, 27 Jul 2010 12:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 590536@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <yoh@debian.org>
To: Piotr Ożarowski <piotr@debian.org>, 590536@bugs.debian.org
Subject: Re: Bug#590536: ITP: openpyxl -- module to read/write Excel 2007 xlsx/xlsm files
Date: Tue, 27 Jul 2010 08:17:43 -0400
On Tue, 27 Jul 2010, Piotr Ożarowski wrote:
> > * Package name    : openpyxl Programming Lang: Python Description
> > : module to read/write Excel 2007 xlsx/xlsm files
> is it better than pyexcelerator (python-excelerator)?
those are for older classical Excel file formats while openpyxl is for
new and shiny OpenXML from a startup from Albuquerque -- IIRC
Microsoft.

-- 
                                  .-.
=------------------------------   /v\  ----------------------------=
Keep in touch                    // \\     (yoh@|www.)onerussian.com
Yaroslav Halchenko              /(   )\               ICQ#: 60653192
                   Linux User    ^^-^^    [175555]






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>:
Bug#590536; Package wnpp. (Tue, 27 Jul 2010 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Piotr Ożarowski <piotr@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Yaroslav Halchenko <debian@onerussian.com>. (Tue, 27 Jul 2010 12:30:04 GMT) Full text and rfc822 format available.

Message #20 received at 590536@bugs.debian.org (full text, mbox):

From: Piotr Ożarowski <piotr@debian.org>
To: 590536@bugs.debian.org
Subject: Re: Bug#590536: ITP: openpyxl -- module to read/write Excel 2007 xlsx/xlsm files
Date: Tue, 27 Jul 2010 14:28:05 +0200
[Yaroslav Halchenko, 2010-07-27]
> > is it better than pyexcelerator (python-excelerator)?
> those are for older classical Excel file formats while openpyxl is for
> new and shiny OpenXML from a startup from Albuquerque -- IIRC
> Microsoft.

oh, the broken ISO standard? OK then




Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 28 Jul 2010 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Yaroslav Halchenko <debian@onerussian.com>:
You have taken responsibility. (Fri, 30 Jul 2010 09:33:19 GMT) Full text and rfc822 format available.

Notification sent to Yaroslav Halchenko <debian@onerussian.com>:
Bug acknowledged by developer. (Fri, 30 Jul 2010 09:33:19 GMT) Full text and rfc822 format available.

Message #27 received at 590536-close@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 590536-close@bugs.debian.org
Subject: Bug#590536: fixed in openpyxl 1.0.1+hg95-1
Date: Fri, 30 Jul 2010 09:32:40 +0000
Source: openpyxl
Source-Version: 1.0.1+hg95-1

We believe that the bug you reported is fixed in the latest version of
openpyxl, which is due to be installed in the Debian FTP archive:

openpyxl_1.0.1+hg95-1.debian.tar.gz
  to main/o/openpyxl/openpyxl_1.0.1+hg95-1.debian.tar.gz
openpyxl_1.0.1+hg95-1.dsc
  to main/o/openpyxl/openpyxl_1.0.1+hg95-1.dsc
openpyxl_1.0.1+hg95.orig.tar.gz
  to main/o/openpyxl/openpyxl_1.0.1+hg95.orig.tar.gz
python-openpyxl_1.0.1+hg95-1_all.deb
  to main/o/openpyxl/python-openpyxl_1.0.1+hg95-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 590536@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Yaroslav Halchenko <debian@onerussian.com> (supplier of updated openpyxl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 27 Jul 2010 16:40:40 -0400
Source: openpyxl
Binary: python-openpyxl
Architecture: source all
Version: 1.0.1+hg95-1
Distribution: unstable
Urgency: low
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Changed-By: Yaroslav Halchenko <debian@onerussian.com>
Description: 
 python-openpyxl - module to read/write OpenXML xlsx/xlsm files
Closes: 590536
Changes: 
 openpyxl (1.0.1+hg95-1) unstable; urgency=low
 .
   * Initial release (Closes: #590536)
Checksums-Sha1: 
 c037500de694f12b3d2823e2a4a113f7b1841bb3 1378 openpyxl_1.0.1+hg95-1.dsc
 ea3a78fb966985d8dceaca30ea3e910057e8b9f3 37749 openpyxl_1.0.1+hg95.orig.tar.gz
 289834b0fa5c08d478d1a43bb1777ec907011e4b 2381 openpyxl_1.0.1+hg95-1.debian.tar.gz
 ff7c8b907abecd9b2bad4cefdda0f765548aece5 41802 python-openpyxl_1.0.1+hg95-1_all.deb
Checksums-Sha256: 
 278b4e00cde51a0db7a05db9f8e1e0cdc34a3a523215a8b0c5b5f380cab5c7f8 1378 openpyxl_1.0.1+hg95-1.dsc
 44e7f136ca1b46ed6bbeac77dd45d1810eb19503e59770d40dd35fe630f4e9c6 37749 openpyxl_1.0.1+hg95.orig.tar.gz
 c359c37a9a4e47be6a4cf756e4df388928860b86b1108bc736c0142697404209 2381 openpyxl_1.0.1+hg95-1.debian.tar.gz
 91b031dff0e0b6fb4aaf6804883d65c5faf23b7f6d9b626f4185758759cdfc8f 41802 python-openpyxl_1.0.1+hg95-1_all.deb
Files: 
 c05baae1ddf482e30e316f001217aaaa 1378 python optional openpyxl_1.0.1+hg95-1.dsc
 f4d3aa635044c08017c0cc861b4940c6 37749 python optional openpyxl_1.0.1+hg95.orig.tar.gz
 e4a46743f27920f2f4b9f32758a8d06d 2381 python optional openpyxl_1.0.1+hg95-1.debian.tar.gz
 5edfc762b3f3cf1632507c9196e181d3 41802 python optional python-openpyxl_1.0.1+hg95-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxQgGwACgkQjRFFY3XAJMjc3QCeMV9hd8w2pBPgqbdkqaQ6tE64
5oAAnjmIXkW22XPrY7JAXSFkAzgAUNCn
=BD20
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Aug 2010 07:32:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:36:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.